## akonadi 16.04.3

=== CMakeLists.txt ===
project(Akonadi)

cmake_minimum_required(VERSION 2.8.12)

# ECM setup
find_package(ECM 5.16.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(CheckIncludeFiles)
include(ECMQtDeclareLoggingCategory)

include(AkonadiMacros)

set(QT_REQUIRED_VERSION "5.2.0")
set(AKONADI_VERSION "5.2.2")
set(KF5_VERSION "5.16.0")

ecm_setup_version(${AKONADI_VERSION}
    VARIABLE_PREFIX AKONADI
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiConfigVersion.cmake"
    SOVERSION 5)

# Find packages
find_package(Qt5Core ${QT_REQUIRED_VERSION} CONFIG  REQUIRED)
find_package(Qt5Gui ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(Qt5Widgets ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(Qt5Sql ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(Qt5Network ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(Qt5Xml ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(Qt5DBus ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)

find_package(KF5ItemViews ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DesignerPlugin ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ItemModels ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5GuiAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WindowSystem ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)

find_package(Qt5Designer NO_MODULE)
set_package_properties(Qt5Designer PROPERTIES
   PURPOSE "Required to build the Qt Designer plugins"
   TYPE OPTIONAL
)

set(Boost_MINIMUM_VERSION "1.34.0")
find_package(Boost ${Boost_MINIMUM_VERSION})
set_package_properties(Boost PROPERTIES
    DESCRIPTION "Boost C++ Libraries"
    URL "http://www.boost.org"
    TYPE REQUIRED
)

set(AKONADI_TESTS_EXPORT AKONADICORE_EXPORT)
configure_file(akonaditests_export.h.in "${CMAKE_CURRENT_BINARY_DIR}/akonaditests_export.h")

# Make sure the KF5Akonadi_DATA_DIR is absolute before passing it to KF5AkonadiConfig.cmake.in
# otherwise build fails either on OSX CI, or for normal users
if (IS_ABSOLUTE "${KDE_INSTALL_DATADIR_KF5}")
    set(KF5Akonadi_DATA_DIR "${KDE_INSTALL_DATADIR_KF5}/akonadi")
else()
    set(KF5Akonadi_DATA_DIR "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR_KF5}/akonadi")
endif()

############### Build Options ###############
option(AKONADI_BUILD_QSQLITE "Build the Sqlite backend." TRUE)
option(ENABLE_ASAN "Build Akonadi with AddressSanitzer - https://code.google.com/p/address-sanitizer/" FALSE)
option(BUILD_TOOLS "Build and install tools for development and testing purposes." TRUE)

if(BUILD_TESTING)
   set(BUILD_TOOLS TRUE)
endif()

if (CXX_STDLIB)
  set (CXX_STDLIB_FLAGS "-stdlib=${CXX_STDLIB}")
endif ()

set(SMI_MIN_VERSION "0.20")
find_package(SharedMimeInfo ${SMI_MIN_VERSION} REQUIRED)

find_program(XSLTPROC_EXECUTABLE xsltproc)
if(NOT XSLTPROC_EXECUTABLE)
    message(FATAL_ERROR "\nThe command line XSLT processor program 'xsltproc'  could not be found.\nPlease install xsltproc.\n")
endif()

find_program(MYSQLD_EXECUTABLE NAMES mysqld
    PATHS /usr/sbin /usr/local/sbin /usr/libexec /usr/local/libexec /opt/mysql/libexec /usr/mysql/bin /opt/mysql/sbin
    DOC "The mysqld executable path. ONLY needed at runtime"
)

if(MYSQLD_EXECUTABLE)
    message(STATUS "MySQL Server found: ${MYSQLD_EXECUTABLE}")
else()
    message(STATUS "MySQL Server wasn't found. it is required to use the MySQL backend.")
endif()

find_path(POSTGRES_PATH NAMES pg_ctl
    HINTS /usr/lib${LIB_SUFFIX}/postgresql/8.4/bin
          /usr/lib${LIB_SUFFIX}/postgresql/9.0/bin
          /usr/lib${LIB_SUFFIX}/postgresql/9.1/bin
          DOC "The pg_ctl executable path. ONLY needed at runtime by the PostgreSQL backend"
)

if(POSTGRES_PATH)
    message(STATUS "PostgreSQL Server found.")
else()
    message(STATUS "PostgreSQL wasn't found. it is required to use the Postgres backend.")
endif()


if("${DATABASE_BACKEND}" STREQUAL "SQLITE")
    set(SQLITE_TYPE "REQUIRED")
else()
    set(SQLITE_TYPE "OPTIONAL")
endif()

if(AKONADI_BUILD_QSQLITE AND Qt5Core_VERSION VERSION_LESS 5.7.0) # API change in 5.7 breaks our sqlite driver
    set(SQLITE_MIN_VERSION 3.6.23)
    find_package(Sqlite ${SQLITE_MIN_VERSION})
    set_package_properties(Sqlite PROPERTIES
        URL "http://www.sqlite.org"
        DESCRIPTION "The Sqlite database library"
        TYPE ${SQLITE_TYPE}
        PURPOSE "Required by the Sqlite backend"
    )
endif()

find_package(Backtrace)
if(Backtrace_FOUND)
    include_directories(${Backtrace_INCLUDE_DIRS})
    add_definitions(-DHAVE_BACKTRACE)
endif()

find_program(XMLLINT_EXECUTABLE xmllint)
if(NOT XMLLINT_EXECUTABLE)
    message(STATUS "xmllint not found, skipping akonadidb.xml schema validation")
endif()

check_include_files(unistd.h HAVE_UNISTD_H)
if(HAVE_UNISTD_H)
    add_definitions(-DHAVE_UNISTD_H)
endif()

if (ENABLE_ASAN)
    find_package(ASan)
endif ()

if (IS_ABSOLUTE "${DBUS_INTERFACES_INSTALL_DIR}")
    set(AKONADI_DBUS_INTERFACES_INSTALL_DIR "${DBUS_INTERFACES_INSTALL_DIR}")
else()
    set(AKONADI_DBUS_INTERFACES_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${DBUS_INTERFACES_INSTALL_DIR}")
endif()

if (IS_ABSOLUTE "${KDE_INSTALL_INCLUDEDIR_KF5}")
    set(AKONADI_INCLUDE_DIR "${KDE_INSTALL_INCLUDEDIR_KF5}")
else()
    set(AKONADI_INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_INCLUDEDIR_KF5}")
endif()

############### Build Options ###############

include(CTest)  # Calls enable_testing().
include(CTestConfig.cmake)

if(NOT DEFINED DATABASE_BACKEND)
    set(DATABASE_BACKEND "MYSQL" CACHE STRING "The default database backend to use for Akonadi. Can be either MYSQL, POSTGRES or SQLITE")
endif()

############### CTest options ###############
# Set a timeout value of 1 minute per test
set(DART_TESTING_TIMEOUT 60)

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake COPYONLY)

############### Macros ###############

macro(SET_DEFAULT_DB_BACKEND)
    set(_backend ${ARGV0})
    if("${_backend}" STREQUAL "SQLITE")
        set(AKONADI_DATABASE_BACKEND QSQLITE3)
        set(AKONADI_BUILD_QSQLITE TRUE)
    else()
        if("${_backend}" STREQUAL "POSTGRES")
          set(AKONADI_DATABASE_BACKEND QPSQL)
        else()
          set(AKONADI_DATABASE_BACKEND QMYSQL)
        endif()
    endif()

    message(STATUS "Using default db backend ${AKONADI_DATABASE_BACKEND}")
    add_definitions(-DAKONADI_DATABASE_BACKEND="${AKONADI_DATABASE_BACKEND}")
endmacro()

#### DB BACKEND DEFAULT ####
set_default_db_backend(${DATABASE_BACKEND})

############### Compilers flags ###############

option(CMAKE_COMPILE_GCOV "Build with coverage support." FALSE)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_C_COMPILER MATCHES "icc" OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
    set(_ENABLE_EXCEPTIONS -fexceptions)

    # more aggressive warnings and C++11 support
    set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -Wextra -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -Wnon-virtual-dtor -Wundef -Wcast-align -Wchar-subscripts -Wall -Wextra -Wpointer-arith -Wformat-security -fno-common")

    file(WRITE ${CMAKE_BINARY_DIR}/cxx11_check.cpp
         "enum Enum { Value = 1 };
          struct Class {
              Class(int val) { (void)val; };
              // Delegating constructor
              Class(): Class(42) {};
              // New-style enumerator
              Class(Enum e = Enum::Value) { (void)e; };
          };
          int main() {}
        ")
    try_compile(CXX11_SUPPORTED
                ${CMAKE_BINARY_DIR}/cxx11_check
                ${CMAKE_BINARY_DIR}/cxx11_check.cpp)
    if (NOT CXX11_SUPPORTED)
        message(FATAL_ERROR "Compiler does not support all required C++11 features")
    endif()

    # debugfull target
    set(CMAKE_CXX_FLAGS_DEBUGFULL "-g3 -fno-inline" CACHE STRING "Flags used by the C++ compiler during debugfull builds." FORCE)
    set(CMAKE_C_FLAGS_DEBUGFULL   "-g3 -fno-inline" CACHE STRING "Flags used by the C compiler during debugfull builds." FORCE)
    mark_as_advanced(CMAKE_CXX_FLAGS_DEBUGFULL CMAKE_C_FLAGS_DEBUGFULL)

    # Update the documentation string of CMAKE_BUILD_TYPE for ccache & cmake-gui
    set(CMAKE_BUILD_TYPE "${CMAKE_BUILD_TYPE}" CACHE STRING
        "Choose the type of build, options are: None debugfull Debug Release RelWithDebInfo MinSizeRel."
        FORCE)

    if (ASAN_FOUND)
        set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_ASAN}")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_ASAN}")
        set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${CMAKE_EXE_LINKER_FLAGS_ASAN}" CACHE STRING "Flags used by the linker" FORCE)
        set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} ${CMAKE_SHARED_LINKER_FLAGS_ASAN}" CACHE STRING "Flags used by the linker" FORCE)
        set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${CMAKE_SHARED_LINKER_FLAGS_ASAN}" CACHE STRING "Flags used by the linker" FORCE)
        add_definitions(-DENABLE_ASAN)
    endif()

    # coverage support
    if(CMAKE_COMPILE_GCOV)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
        if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
            set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lprofile_rt" CACHE STRING "Flags used by the linker" FORCE)
            set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -lprofile_rt" CACHE STRING "Flags used by the linker" FORCE)
            set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -lprofile_rt" CACHE STRING "Flags used by the linker" FORCE)
        endif()
    endif()
endif()

if(MSVC)
    set(_ENABLE_EXCEPTIONS -EHsc)
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_ENABLE_EXCEPTIONS}")

add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)
#add_definitions(-DQT_NO_KEYWORDS)
add_definitions(-DQT_USE_QSTRINGBUILDER -DQT_USE_FAST_OPERATOR_PLUS)

############### Configure files #############

configure_file(akonadi-prefix.h.cmake ${Akonadi_BINARY_DIR}/akonadi-prefix.h)
configure_file(config-akonadi.h.cmake ${Akonadi_BINARY_DIR}/config-akonadi.h)

############### build targets ###############

add_definitions(-DTRANSLATION_DOMAIN=\"libakonadi5\")
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    src
)

add_subdirectory(src)

if(BUILD_TOOLS)
    # add testrunner (application for managing a self-contained
    # test environment)
    add_subdirectory(autotests/libs/testrunner)
    add_subdirectory(autotests/libs/testresource)
    add_subdirectory(autotests/libs/testsearchplugin)
endif()

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()


############### install stuff ###############

install(FILES akonadi-mime.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

############### CMake Config Files ###############

=== debian/changelog ===
akonadi (4:16.04.3-4) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add patch from kubuntu: kubuntu_disable_secure_file_priv_check.diff
    - fix compatibility with stricter defaults in mysql security update.
      (Closes: 843534) Thanks to fld for the report and Marc Deslauriers
      for the patch.
  * Fix known typos.
  * Update Build-Deps to use default-libmysqlclient-dev instead of
    libmysqlclient-dev.
  * Add Multi-Arch Hinters from tracker.
  * Remove unused source.lintian-overrides file.
  * Merge libkf5akonadicore-bin into akonadi-server package.

  [ Maximiliano Curia ]
  * Use mysql default metapackages
  * Replace dbus-launch with dbus-run-session in tests.
    Thanks to Simon McVittie for reporting (Closes: 835827)

 -- Sandro Knauß <hefee@debian.org>  Tue, 22 Nov 2016 21:42:07 +0100

akonadi (4:16.04.3-3) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Backport patch from upstream to build QSqlite3 backend with Qt5.7.1
    - QSqlite3-fix-build-with-Qt-5.7.patch
    - Closes: 842502
    - The original patch written by Daniel Vratil:
      068c0bd5f93232eea97e492354eff2b9b62c6643
    - Added qtbase5-private-dev to build deps
  * Update symbols files from buildds logs (4:16.04.3-2+b1).

 -- Sandro Knauß <hefee@debian.org>  Wed, 02 Nov 2016 01:15:34 +0100

akonadi (4:16.04.3-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files from buildds logs (4:16.04.3-1).

  [ Maximiliano Curia ]
  * Inject libkf5akonadicore-bin dependency through the akonadiwidgets symbols file.
    Thanks to Bill Allombert for the report (Closes: 834099)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 14 Aug 2016 12:07:49 +0200

akonadi (4:16.04.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files from buildds logs (4:16.04.2-3).

  [ Maximiliano Curia ]
  * Add Breaks from kmail, korganizer and akonadiconsole, to avoid invalid installations
  * Add conflicts for akonadi2xml against kdepimlibs5-dev.
    Thanks to Andreas Beckmann for the report (Closes: 831226)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 19 Jul 2016 16:24:06 +0200

akonadi (4:16.04.2-3) unstable; urgency=medium

  * Avoid depending on a reverse dependency.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 11:08:48 +0200

akonadi (4:16.04.2-2) unstable; urgency=low

  [ Maximiliano Curia ]
  * Drop libakonadi-kde4 breaks/replaces to allow installing knode and ktimetracker
  * Release to unstable.

  [ Automatic packaging ]
  * Update symbols files from buildds logs (4:16.04.2-1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 04 Jul 2016 15:09:18 +0200

akonadi (4:16.04.2-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Update copyright information
  * Drop automoc build dependency
  * testsuite: Set the akonaditest path
  * Inject kdepimlibs-data dependency through the symbols files

  [ Automatic packaging ]
  * Update symbols files from buildds logs (4:16.04.1-1).
  * Update symbols files.
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jun 2016 23:02:40 +0200

akonadi (4:16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

  [ Maximiliano Curia ]
  * Add missing dependency on mysql server core.
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add kgendesignerplugin as a build dep
  * Add missing breaks/replaces, knutresource was in in kdepimlibs5-dev
  * Set the dev-bin as m-a: foreign
  * Add new patch: set_dependency_order.diff

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 May 2016 18:08:49 +0200

akonadi (15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:57 +0100

akonadi (15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:44 +0100

akonadi (15.08.2-1) experimental; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:30 +0200

akonadi (15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:13 +0200

=== debian/control ===
Source: akonadi
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Modestas Vainius <modax@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               default-libmysqlclient-dev,
               dh-apparmor,
               extra-cmake-modules (>= 5.16.0~),
               kdesignerplugin (>= 5.16.0~),
               kgendesignerplugin,
               kio-dev (>= 5.16.0~),
               libkf5completion-dev (>= 5.16.0~),
               libkf5config-dev (>= 5.16.0~),
               libkf5dbusaddons-dev (>= 5.16.0~),
               libkf5guiaddons-dev (>= 5.16.0~),
               libkf5i18n-dev (>= 5.16.0~),
               libkf5iconthemes-dev (>= 5.16.0~),
               libkf5itemmodels-dev (>= 5.16.0~),
               libkf5itemviews-dev (>= 5.16.0~),
               libkf5windowsystem-dev (>= 5.16.0~),
               libboost-dev (>= 1.34.0~),
               libxslt1-dev,
               libxml2-dev,
               libsqlite3-dev (>= 3.6.23),
               libxml2-utils,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~),
               qtbase5-private-dev,
               qttools5-dev,
               shared-mime-info (>= 0.20),
               xsltproc
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/akonadi
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/akonadi.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/akonadi.git

Package: akonadi-server
Section: net
Architecture: any
Depends: akonadi-backend-mysql (= ${source:Version}) | akonadi-backend-sqlite (= ${binary:Version}) | akonadi-backend-postgresql (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: akonadi-backend-mysql (= ${source:Version}),
          akonadi-backend-postgresql (= ${source:Version}),
          akonadi-backend-sqlite (= ${binary:Version})
Breaks: kdepimlibs-data (<<  4:16.04), kmail (<< 4:16.04), korganizer (<< 4:16.04), akonadiconsole (<< 4:16.04), libkf5akonadicore-bin (<< 4:16.04.3-4)
Replaces: kdepimlibs-data (<<  4:16.04), libkf5akonadicore-bin (<< 4:16.04.3-4)
Description: Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains the Akonadi PIM storage server and associated programs.

Package: libkf5akonadi-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libboost-dev (>= 1.34.0~),
         libkf5akonadiagentbase5 (= ${binary:Version}),
         libkf5akonadicore5 (= ${binary:Version}),
         libkf5akonadiserver-dev (>= ${binary:Version}),
         libkf5akonadiwidgets5 (= ${binary:Version}),
         libkf5akonadixml5 (= ${binary:Version}),
         libkf5completion-dev (>= 5.16.0~),
         libkf5itemmodels-dev (>= 5.16.0~),
         libkf5jobwidgets-dev,
         libkf5kdelibs4support-dev (>= 5.12.0~),
         libkf5service-dev,
         libkf5solid-dev (>= 5.12.0~),
         libkf5xmlgui-dev (>= 5.16.0~),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: kdepim-runtime (<< 4:4.13)
Breaks: kdepim-runtime (<< 4:4.13)
Conflicts: kdepimlibs5-dev
Description: development files for the KDE Development Platform PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadi-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepimlibs5-dev
Replaces: kdepimlibs5-dev
Description: Additional development binaries for the Akonadi KDE PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadiagentbase5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Akonadi agent base library
 This library contains classes to implement agents for the Akonadi PIM
 data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadicore5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libkf5akonadiwidgets5 (= ${binary:Version})
Description: Akonadi core library
 This library contains Akonadi PIM data server core classes.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadicore-bin
Architecture: any
Depends: akonadi-server (>= 4:16.04.3-4), ${misc:Depends}
Priority: extra
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libkf5akonadiwidgets5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5akonadicore5 (<< 4:15.07.90+git20150817.0936)
Replaces: libkf5akonadicore5 (<< 4:15.07.90+git20150817.0936)
Description: Akonadi widgets library
 This library contains standard widgets for the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadixml5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Akonadi XML helper library
 This library provides XML helpers using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadiprivate5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: akonadi-server (= ${binary:Version})
Description: libraries for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains libraries used by the Akonadi PIM storage service.

Package: libkf5akonadiserver-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends: libkf5akonadiprivate5 (= ${binary:Version}), ${misc:Depends}
Breaks: libakonadi-dev
Replaces: libakonadi-dev
Description: development files for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains development files for building software that uses the
 Akonadi PIM storage service.

Package: akonadi-backend-mysql
Section: misc
Architecture: all
Depends: libqt5sql5-mysql,
         default-mysql-client-core | virtual-mysql-client-core,
         default-mysql-server-core | virtual-mysql-server-core,
         ${misc:Depends}
Recommends: akonadi-server
Replaces: akonadi-server (<< 1.3.60~)
Breaks: akonadi-server (<< 1.3.60~)
Description: MySQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with MySQL
 as underlying data storage engine. By default, a local MySQL server instance
 will be started for each user. Alternatively, connection to an external MySQL
 database is supported as well.

Package: akonadi-backend-postgresql
Section: misc
Architecture: all
Depends: libqt5sql5-psql, ${misc:Depends}
Recommends: akonadi-server, postgresql
Replaces: akonadi-server (<< 1.3.60~)
Breaks: akonadi-server (<< 1.3.60~)
Description: PostgreSQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with
 PostgreSQL as underlying data storage engine. By default, a local PostgreSQL
 server instance will be started for each user. Alternatively, connection to an
 external PostgreSQL database is supported as well.

Package: akonadi-backend-sqlite
Section: misc
Multi-Arch: same
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Recommends: akonadi-server
Description: SQLite storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with SQLite
 as underlying data storage engine. Since SQLite is an embedded database
 engine, a separate SQL server daemon is not necessary.
 .
 In addition, the package contains an improved QSql driver for SQLite named
 "QSQLite3". It can be used by any application that needs to access SQLite
 databases via standard Qt QSql framework.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND += -fvisibility=hidden -fvisibility-inlines-hidden
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

backend_packages = $(filter akonadi-backend-%,$(shell dh_listpackages))

override_dh_auto_configure:
	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi \
	    -DINSTALL_QSQLITE_IN_QT_PREFIX=ON \
	    -D_testrunner=/usr/bin/akonaditest

override_dh_installinit:
	$(overridden_command)
	dh_apparmor -pakonadi-backend-mysql --profile-name=usr.sbin.mysqld-akonadi

override_dh_installdocs:
	# Install README.Debian to backend packages
	$(overridden_command) -A -pakonadi-server $(foreach p,$(backend_packages),-p$(p)) debian/README.Debian
	$(overridden_command) --remaining-packages

override_dh_makeshlibs:
	$(overridden_command) -V -- -c0

override_dh_shlibdeps:
	$(overridden_command) -- -xkdepimlibs-data

override_dh_strip:
	$(overridden_command) --dbgsym-migration='akonadi-dbg (<= 15.12.1-1~~)'

override_dh_auto_test:
	# Avoid tests extra build dependencies, check them with autopkgtests

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), libxml2-utils, libgl1-mesa-dri
Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

## akonadi 17.04.3

=== debian/changelog ===
akonadi (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations
  * Update symbols files.
  * New upstream release (17.04.2)
  * Don't run the akonadi isolated tests; these tests are right now very
    unreliable when executed with the autopkgtest tech, they tend to
    fail in different ways depending if they are executed locally or
    they are executed on the Ubuntu official infra, so right now it's
    not feasible for us to maintain them.
  * New upstream release (17.04.3)
  * Update symbols files.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:32:37 +0100

akonadi (4:16.12.3-0ubuntu3) artful; urgency=medium

  * Make libkf5akonadi-dev depend on the -dev package containing the header
    file which is hard-coded in std_exception.h at build-time (LP: #1709726)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 09 Aug 2017 22:56:23 +0000

akonadi (4:16.12.3-0ubuntu2) artful; urgency=medium

  * Backport upstream commit eb5cf0fa46aecd77 to fix build with Qt 5.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 26 Jun 2017 15:30:09 +0300

akonadi (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ Simon Quigley ]
  * Refresh symbols
  * New upstream release
  * Remove set_dependency_order.diff as it can now be reverse-applied
  * Refresh patches

  [ Clive Johnston ]
  * Add missing file
  * Adding libmysqlclient-dev or default-libmysqlclient-dev as build deps

  [ Rik Mills ]
  * Fix breaks, replaces and misc depends
  * New upstream release (16.12.0)
  * Correct symbols versions so not incorrectly showing a debian revison
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)
  * Update symbols from build logs

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:27:12 +0100

akonadi (4:16.04.3-0ubuntu3) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * Applying patches from Debian
    - postgresql-data-checksums.patch
    - set_dependency_order.diff
  * Enable and refresh Kubuntu patches
    - kubuntu_disable_secure_file_priv_check.diff
    - kubuntu_fix_mysql_db_creation_57.diff (LP: #1633855)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 27 Oct 2016 15:11:28 +0100

akonadi (4:16.04.3-0ubuntu2) yakkety; urgency=medium

  * Sync autopkgtests with debian.
  * Set _testrunner path to fix autotests.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 06 Oct 2016 16:12:33 +0100

akonadi (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Manual merge.
  * Add versions to dependencies. Fix merge.
  * Fix merger in patch.
  * Fix merge in series
  * Fix symbols file.
  * Debian merge: Remaining changes:
    mysql-server version. 
  * Fix duplicate packages from merge. 
  * Fix install files.
  * Fix spelling error in README 
  * Add MultiArch: same to akonadiprivate
  * Add missing files. 
  * Add akonadiserver to breaks and replaces. 
  * New upstream bugfix release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * Temporarily disabled patches
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)
  * Refreshing symbols

  [ Rik Mills ]
  * Install binaries in correct packages
  * Drop libakonadi-kde4 breaks/replaces - fixes installing kgpg
    calligra-libs & other packages

  [ José Manuel Santamaría Lema ]
  * Add in the rules file an override for dh_shlibdeps to exclude
    libkf5akonadicore-bin, this way we avoid a circular dependencies.

  [ Rik Mills ]
  * Update build dependencies
  * wrap-and-sort
  * Start transition of depends away from kdepimlibs combined package
  * Add libkf5akonadicontact-data depends to fully replace the old
    kdepimlibs-data package depends
  * New build depend on libkf5crash-dev

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:32:58 +0200

akonadi (4:16.04.0-1~2.gbp37a307) UNRELEASED; urgency=medium

  ** SNAPSHOT build @37a3072507847cc0f38fd6f724acf36e2f2d8ef4 **

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Pre-release 15.12.1-2~
  * Add missing dependency on mysql server core.
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add kgendesignerplugin as a build dep

  [ Scarlett Clark ]
  * 

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Sat, 23 Apr 2016 10:08:20 +0200

=== debian/control ===
--- 
+++ 
@@ -8,49 +8,52 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               default-libmysqlclient-dev,
+               default-libmysqlclient-dev | libmysqlclient-dev,
                dh-apparmor,
-               extra-cmake-modules (>= 5.16.0~),
-               kdesignerplugin (>= 5.16.0~),
-               kgendesignerplugin,
-               kio-dev (>= 5.16.0~),
-               libkf5completion-dev (>= 5.16.0~),
-               libkf5config-dev (>= 5.16.0~),
-               libkf5dbusaddons-dev (>= 5.16.0~),
-               libkf5guiaddons-dev (>= 5.16.0~),
-               libkf5i18n-dev (>= 5.16.0~),
-               libkf5iconthemes-dev (>= 5.16.0~),
-               libkf5itemmodels-dev (>= 5.16.0~),
-               libkf5itemviews-dev (>= 5.16.0~),
-               libkf5windowsystem-dev (>= 5.16.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               kdesignerplugin (>= 5.31.0~),
+               kgendesignerplugin (>= 5.31.0~),
                libboost-dev (>= 1.34.0~),
+               libkf5completion-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5guiaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5itemmodels-dev (>= 5.31.0~),
+               libkf5itemviews-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5windowsystem-dev (>= 5.31.0~),
+               libqt5designer5,
+               libsqlite3-dev (>= 3.6.23),
+               libxml2-dev,
+               libxml2-utils,
                libxslt1-dev,
-               libxml2-dev,
-               libsqlite3-dev (>= 3.6.23),
-               libxml2-utils,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.4.0~),
-               qtbase5-private-dev,
-               qttools5-dev,
+               qtbase5-dev (>= 5.6.1~),
+               qtbase5-private-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~),
                shared-mime-info (>= 0.20),
                xsltproc
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/akonadi
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/akonadi.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/akonadi.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi
 
 Package: akonadi-server
 Section: net
 Architecture: any
-Depends: akonadi-backend-mysql (= ${source:Version}) | akonadi-backend-sqlite (= ${binary:Version}) | akonadi-backend-postgresql (= ${source:Version}),
+Depends: akonadi-backend-mysql (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: akonadi-backend-mysql (= ${source:Version}),
-          akonadi-backend-postgresql (= ${source:Version}),
-          akonadi-backend-sqlite (= ${binary:Version})
-Breaks: kdepimlibs-data (<<  4:16.04), kmail (<< 4:16.04), korganizer (<< 4:16.04), akonadiconsole (<< 4:16.04), libkf5akonadicore-bin (<< 4:16.04.3-4)
-Replaces: kdepimlibs-data (<<  4:16.04), libkf5akonadicore-bin (<< 4:16.04.3-4)
+Suggests: akonadi-backend-sqlite (= ${binary:Version})
+Breaks: akonadiconsole (<< 4:16.12),
+        kdepimlibs-data (<<  4:16.04),
+        kmail (<< 4:16.12),
+        korganizer (<< 4:16.12)
+Replaces: kdepimlibs-data (<<  4:16.04)
 Description: Akonadi PIM storage service
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
  storage service. It provides a common framework for applications to store and
@@ -68,14 +71,14 @@
          libkf5akonadiserver-dev (>= ${binary:Version}),
          libkf5akonadiwidgets5 (= ${binary:Version}),
          libkf5akonadixml5 (= ${binary:Version}),
-         libkf5completion-dev (>= 5.16.0~),
-         libkf5itemmodels-dev (>= 5.16.0~),
-         libkf5jobwidgets-dev,
-         libkf5kdelibs4support-dev (>= 5.12.0~),
-         libkf5service-dev,
-         libkf5solid-dev (>= 5.12.0~),
-         libkf5xmlgui-dev (>= 5.16.0~),
-         qtbase5-dev (>= 5.4.0~),
+         libkf5completion-dev (>= 5.31.0~),
+         libkf5itemmodels-dev (>= 5.31.0~),
+         libkf5jobwidgets-dev (>= 5.31.0~),
+         libkf5kdelibs4support-dev (>= 5.31.0~),
+         libkf5service-dev (>= 5.31.0~),
+         libkf5solid-dev (>= 5.31.0~),
+         libkf5xmlgui-dev (>= 5.31.0~),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: kdepim-runtime (<< 4:4.13)
@@ -92,8 +95,8 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kdepimlibs5-dev
-Replaces: kdepimlibs5-dev
+Breaks: kdepimlibs5-dev, ${kde-l10n:all}
+Replaces: kdepimlibs5-dev, ${kde-l10n:all}
 Description: Additional development binaries for the Akonadi KDE PIM libraries
  This package contains development files for building software that uses
  the KDE Development Platform Personal Information Management libraries.
@@ -103,8 +106,7 @@
 Package: libkf5akonadiagentbase5
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Akonadi agent base library
  This library contains classes to implement agents for the Akonadi PIM
  data server.
@@ -123,11 +125,13 @@
 
 Package: libkf5akonadicore-bin
 Architecture: any
-Depends: akonadi-server (>= 4:16.04.3-4), ${misc:Depends}
-Priority: extra
-Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed.
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
+Description: Tools for Akonadi core library
+ Tools used by Akonadi PIM data server core classes.
+ .
+ This package is part of the KDE Development Platform PIM libraries module.
 
 Package: libkf5akonadiwidgets5
 Architecture: any
@@ -143,8 +147,7 @@
 Package: libkf5akonadixml5
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Akonadi XML helper library
  This library provides XML helpers using the Akonadi PIM data server.
  .
@@ -164,7 +167,6 @@
 
 Package: libkf5akonadiserver-dev
 Section: libdevel
-Multi-Arch: same
 Architecture: any
 Depends: libkf5akonadiprivate5 (= ${binary:Version}), ${misc:Depends}
 Breaks: libakonadi-dev
@@ -181,8 +183,8 @@
 Section: misc
 Architecture: all
 Depends: libqt5sql5-mysql,
-         default-mysql-client-core | virtual-mysql-client-core,
-         default-mysql-server-core | virtual-mysql-server-core,
+         mysql-client-core-5.7 | virtual-mysql-client-core,
+         mysql-server-core-5.7 | virtual-mysql-server-core,
          ${misc:Depends}
 Recommends: akonadi-server
 Replaces: akonadi-server (<< 1.3.60~)
@@ -197,26 +199,8 @@
  will be started for each user. Alternatively, connection to an external MySQL
  database is supported as well.
 
-Package: akonadi-backend-postgresql
-Section: misc
-Architecture: all
-Depends: libqt5sql5-psql, ${misc:Depends}
-Recommends: akonadi-server, postgresql
-Replaces: akonadi-server (<< 1.3.60~)
-Breaks: akonadi-server (<< 1.3.60~)
-Description: PostgreSQL storage backend for Akonadi
- Akonadi is an extensible cross-desktop Personal Information Management (PIM)
- storage service. It provides a common framework for applications to store and
- access mail, calendars, addressbooks, and other PIM data.
- .
- This package installs everything what's needed for Akonadi to work with
- PostgreSQL as underlying data storage engine. By default, a local PostgreSQL
- server instance will be started for each user. Alternatively, connection to an
- external PostgreSQL database is supported as well.
-
 Package: akonadi-backend-sqlite
 Section: misc
-Multi-Arch: same
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
